{% extends "donate/base.html" %}
{% load wagtailcore_tags %}

{% block content %}

<!-- CONTENT -->
<main role="main">

  <section class="section--alternate region__header">
    <div class="container">
      <h1 class="lead heading">{{ page.title }}</h1>
    </div> <!-- /container -->
  </section>

  <section class="section--primary section--form">
    <div class="container">

        {% if main_targets or other_targets %}
          <form id="js-donate-form" class="sharing-link" method="post">
            {% csrf_token %}

            <div class="form-group row mb-4 align-items-center">
              <div class="col-12">

                {% for target in main_targets %}
                  {% if target.portal_project_id %}
                  <div class="custom-control custom-radio my-3">
                    <input type="radio" id="main_target{{ forloop.counter }}" name="portal_project_id" value="{{ target.portal_project_id }}" class="custom-control-input target-radio"{% if forloop.first %} checked required{% endif %}>
                    <label class="custom-control-label col-form-label-lg" for="main_target{{ forloop.counter }}">{{ target.title }}<br> <span class="small">{{ target.description|default:"" }}</span></label>
                  </div>
                  {% endif %}
                {% endfor %}

                {% if other_targets %}
                <div class="custom-control custom-radio my-3">
                  <input type="radio" id="other_target" name="portal_project_id" value="-1" class="custom-control-input target-radio"{% if not main_targets %} checked required{% endif %}>
                  <label class="custom-control-label col-form-label-lg custom-control-label-for-select" for="other_target">
                    Dar pro:
                    <select id="other_target_select" name="select_portal_project_id" class="custom-control-select">
                      <option value="">--- vybrat ---</option>
                      {% for target in other_targets %}
                        <option value="{{ target.portal_project_id }}">{{ target.title }}</option>
                      {% endfor %}
                    </select>
                  </label>
                </div>
                {% endif %}

              </div>
            </div>

            <div class="form-group row mb-4 align-items-center">
              <legend class="col-form-label col-md-3 col-form-label-lg">Typ příspěvku</legend>
              <div class="col-md-9">
                  <div class="custom-control custom-radio custom-control-inline">
                    <input type="radio" id="periodicity1" name="periodicity" value="730" class="custom-control-input" checked required>
                    <label class="custom-control-label col-form-label-lg" for="periodicity1">Měsíční</label>
                  </div>
                  <div class="custom-control custom-radio custom-control-inline">
                    <input type="radio" id="periodicity2" name="periodicity" value="99999" class="custom-control-input">
                    <label class="custom-control-label col-form-label-lg" for="periodicity2">Jednorázový</label>
                  </div>
              </div>
            </div>
            <div class="form-group row mb-4 align-items-center">
              <legend class="col-form-label col-md-3 col-form-label-lg">Částka</legend>
              <div class="col-md-9">
                  <div id="monthlyAmounts" data-default-selected="{{ page.form_monthly_preselected }}">
                      {% include "donate/form_monthly_amounts_snippet.html" %}
                  </div>
                  <div id="oneTimeAmounts" style="display: None"
                       data-default-selected="{{ page.form_preselected }}">
                      {% include "donate/form_amounts_snippet.html" %}
                  </div>
              </div>
            </div>
            <div class="form-group row mb-0 align-items-center" id="js-custom-amount-input">
                <div class="col-md-3 order-md-0 order-1">
                    <button type="submit" class="btn btn-danger btn-lg">Darovat</button>
                </div>
              <div class="col-md-3 mb-4 mb-md-0">
                <div class="input-group input-group-lg mb-0 custom-amount">
                  <input type="number" class="form-control" id="customamount" placeholder="Jiná částka" name="custom_amount" aria-describedby="customamount-currency">
                  <div class="input-group-append">
                    <span class="input-group-text" id="customamount-currency">Kč</span>
                  </div>
                </div>
              </div>
            </div>
          </form>

          <div class="mt-5">
            {% if is_preselected %}
              <a href="{% pageurl page %}">ukaž všechny adresné dary pro kraj</a>
            {% else %}
              <a id="target_sharing_link" href="{% pageurl page %}?p={{ initial_project_id }}">odkaz pro sdílení vybraného účelu</a>
            {% endif %}
          </div>

        {% else %}
          <div class="row mb-4">
            <p>Krajské sdružení momentálně nepřijímá adresné dary. Místo toho <a href="{% pageurl page.get_parent %}">podpořte celý kraj!</a></p>
          </div>
        {% endif %}

    </div> <!-- /container -->
  </section>

</main>
<!-- /CONTENT -->

{% endblock %}
